<?php
$this->addCSS("templates/default/widgets/specmod/specmod.css");
$this->addJS("templates/default/widgets/specmod/js/jquery.cookie.min.js");
?>

<div id="special_mod">
    <span class="spec_h_label"><?=LANG_WD_SPECMOD_LABEL?></span>
    <div class="spec_buttons">

        <div class="spec_size_block">
            <?php if($showlabel) {?><div class="spec_label"><?=LANG_WD_SPECMOD_FONT_SIZE?>: </div><?php } ?>
            <div>
                <a href="#" data-class="spec-size-small" class="s_small" title="<?=LANG_WD_SPECMOD_FONT_SIZE_SMALL?>">A</a>
                <a href="#" data-class="spec-size-medium" class="s_medium" title="<?=LANG_WD_SPECMOD_FONT_SIZE_MEDIUM?>">A</a>
                <a href="#" data-class="spec-size-large" class="s_large" title="<?=LANG_WD_SPECMOD_FONT_SIZE_BIG?>">A</a>
            </div>
        </div>

        <div class="spec_font_block">
            <?php if($showlabel) {?><div class="spec_label"><?=LANG_WD_SPECMOD_COLOR_SCHEME?>: </div><?php } ?>
            <div>
                <a href="#" data-class="spec-font-normal" class="f_normal" title="<?=LANG_WD_SPECMOD_COLOR_SCHEME_BW?>">A</a>
                <a href="#" data-class="spec-font-invert" class="f_invert" title="<?=LANG_WD_SPECMOD_COLOR_SCHEME_WB?>">A</a>
                <a href="#" data-class="spec-font-blue" class="f_blue" title="<?=LANG_WD_SPECMOD_COLOR_SCHEME_DB?>">A</a>
            </div>
        </div>

        <div class="spec_image_block">
            <?php if($showlabel) {?><div class="spec_label"><?=LANG_WD_SPECMOD_IMAGES?>: </div><?php } ?>
            <div>
                <a href="#" class="i_on" title="<?=LANG_WD_SPECMOD_IMAGES_OFF?>"><?=LANG_OFF?></a>
                <a href="#" class="i_off" title="<?=LANG_WD_SPECMOD_IMAGES_ON?>"><?=LANG_ON?></a>
            </div>
        </div>


    </div>
</div>

<script type="text/javascript">

    function toogleSpecImg(hide) {
        // ставим черно-белое лого (заменяем на свои)
        var logo_img = $("#footer .logo_small img");
        var orig_logo = "/templates/universal/images/logo_small.png";
        var spec_logo = "/templates/universal/images/logo_small_spec.png";
        if(hide) {
            logo_img.attr("src", spec_logo);
        } else {
            logo_img.attr("src", orig_logo);
        }
    }

    function toogleVisible(hide){
        if(hide) {
            //скрытие ненужностей (заменяем на свои)
            $("#header .logo").hide();
            $("#main_slider").hide();
            $(".photo_slider").hide();
            $(".right_panel_banner").hide();
            $("#footer .ymaps, .ymap").hide();
            $(".main-container .search_input input[type=submit]").hide();
        } else {
            // показываем ранее скрытые элементы
            $("#header .logo").show();
            $("#main_slider").show();
            $(".photo_slider").show();
            $(".right_panel_banner").show();
            $("#footer .ymaps, .ymap").show();
            $(".main-container .search_input input[type=submit]").show();
        }
    }

    $(document).ready(function() {

        if($.cookie('spec_size_class') != null) {
            $("#special_mod .spec_buttons").show();

            <?php if(!$showlabel) {?>
                $("#special_mod .spec_h_label").text("");
            <?php } else { ?>
                $("#special_mod .spec_h_label").text("<?=LANG_WD_SPECMOD_NORMAL_LABEL?>");
            <?php } ?>

            toogleVisible(true);
            toogleSpecImg(true);

            $("body").addClass(''+$.cookie('spec_size_class')+' '+$.cookie('spec_font_class')+' '+$.cookie('spec_image')+'');

            if($.cookie('spec_image') == "image-on") {
                $("#special_mod .spec_image_block a.i_on").css("display", "block");
                $("#special_mod .spec_image_block a.i_off").css("display", "none");
            } else {
                $("#special_mod .spec_image_block a.i_on").css("display", "none");
                $("#special_mod .spec_image_block a.i_off").css("display", "block");
            }
        }

        $("#special_mod .spec_h_label").click(function(){
            if($("#special_mod .spec_buttons").is(":hidden")) {
                <?php if(!$showlabel) {?>
                    $(this).text("");
                <?php } else { ?>
                    $(this).text("<?=LANG_WD_SPECMOD_NORMAL_LABEL?>");
                <?php } ?>

                toogleVisible(true);
                toogleSpecImg(true);

                $.cookie('spec_size_class', 'spec-size-medium', { path:'/'});
                $.cookie('spec_font_class', 'spec-font-normal', { path:'/'});
                $.cookie('spec_image', 'image-on', { path:'/'});

                $("body").addClass("spec-size-medium spec-font-normal image-on");

                $("#special_mod .spec_buttons").show();
            } else {
                $(this).text("<?=LANG_WD_SPECMOD_LABEL?>");

                toogleVisible(false);
                toogleSpecImg(false);

                $.removeCookie('spec_size_class', { path:'/'});
                $.removeCookie('spec_font_class', { path:'/'});
                $.removeCookie('spec_image', { path:'/'});

                $("body").removeAttr("class");

                $("#special_mod .spec_buttons").hide();
            }
        });

        var size_class_arr = [];
        var font_class_arr = [];

        var spec_size_block_item = $("#special_mod .spec_size_block a");
        var spec_font_block_item = $("#special_mod .spec_font_block a");

        //--
        spec_size_block_item.each(function () {
            size_class_arr.push($(this).attr("data-class"));
        });

        spec_font_block_item.each(function () {
            font_class_arr.push($(this).attr("data-class"));
        });
        //--

        spec_size_block_item.click(function (e) {
            e.preventDefault();
            $.each(size_class_arr, function (index, value) {
                $("body").removeClass(value);
            });
            $("body").addClass($(this).attr("data-class"));
            $.cookie('spec_size_class', $(this).attr("data-class"), { path:'/'});
        });

        spec_font_block_item.click(function (e) {
            e.preventDefault();
            $.each(font_class_arr, function (index, value) {
                $("body").removeClass(value);
            });
            $("body").addClass($(this).attr("data-class"));
            $.cookie('spec_font_class', $(this).attr("data-class"), { path:'/'});
        });

        $("#special_mod .spec_image_block a").click(function (e) {
            e.preventDefault();
            if ($("body").hasClass("image-on") || !$("body").hasClass("image-on") && !$("body").hasClass("image-off")) {
                $("body").addClass("image-off");
                $("body").removeClass("image-on");
                $("#special_mod .spec_image_block a.i_on").css("display", "none");
                $("#special_mod .spec_image_block a.i_off").css("display", "block");
                $.cookie('spec_image', 'image-off', { path:'/'});
            } else {
                $("body").addClass("image-on");
                $("body").removeClass("image-off");
                $("#special_mod .spec_image_block a.i_on").css("display", "block");
                $("#special_mod .spec_image_block a.i_off").css("display", "none");
                $.cookie('spec_image', 'image-on', { path:'/'});
            }

        });


    });
</script>